# slovník počtu obyvatel podle území
lidi = {}
with open('staty_lidi.log', encoding='utf-8') as f:
    for line in f:
        název, lidí = line.rstrip('\n').split(': ')
        lidi[název] = lidí
print(lidi)
print(len(lidi))    # 237

# slovník rozloh podle území
plochy = {}
with open('staty_plochy.log', encoding='utf-8') as f:
    for line in f:
        název, plocha = line.rstrip('\n').split(': ')
        plochy[název] = plocha
print(plochy)
print(len(plochy))    # 261
